Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.rgpext
Class EPPRgpExtUpdate

    java.lang.Object
      com.verisign.epp.codec.rgpext.EPPRgpExtUpdate

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPRgpExtUpdate

extends java.lang.Object
implements EPPCodecComponent

The EPPRgpExtUpdate is the EPPCodecComponent that knows how to encode and decode RGP update elements from/to XML and object instance.

Title: EPP 1.0 RGP

Description: RGP Extension to the EPP SDK

Copyright: Copyright (c) 2004

Company: VeriSign

Version:
  1.0
Author:
  clloyd
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ELM_NAME` The update element name in XML

Constructor Summary
`EPPRgpExtUpdate()` Create a new EPPRgpExtUpdate instance
`EPPRgpExtUpdate(EPPRgpExtRestore aRestore)` Create a new EPPRgpExtUpdate instance with contained request or report.

Method Summary
`java.lang.Object` | `clone()` Clone `EPPRgpExtUpdate`.
`void` | `decode(org.w3c.dom.Element aElement)` Populate the data of this instance with the data stored in the given Element of the DOM tree
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Append all data from this RGP inf data to the given DOM Document
`boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPRgpExtUpdate` compare.
`java.lang.String` | `getNamespace()` Returns the RGP namespace
`EPPRgpExtRestore` | `getRestore()` Gets the contained restore request or report.
`void` | `setRestore(EPPRgpExtRestore aRestore)` Sets the contained restore request or report.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ELM_NAME

    public static final java.lang.String ELM_NAME

  The update element name in XML

  See Also:
    Constant Field Values

Constructor Detail

### EPPRgpExtUpdate

    public EPPRgpExtUpdate()

  Create a new EPPRgpExtUpdate instance

### EPPRgpExtUpdate

    public EPPRgpExtUpdate(EPPRgpExtRestore aRestore)

  Create a new EPPRgpExtUpdate instance with contained request or report.

  Parameters:
    `aRestore` - the new contained restore request or report

Method Detail

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Append all data from this RGP inf data to the given DOM Document

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - The DOM Document to append data to
  Returns:
    Encoded DOM `Element`
  Throws:
    `EPPEncodeException` - Thrown when errors occur during the encode attempt or if the instance is invalid.

### getNamespace

    public java.lang.String getNamespace()

  Returns the RGP namespace

  Returns:
    the RGP namespace

### equals

    public boolean equals(java.lang.Object aObject)

  implements a deep `EPPRgpExtUpdate` compare.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - `EPPRgpExtUpdate` instance to compare with
  Returns:
    true if equal false otherwise

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Populate the data of this instance with the data stored in the given Element of the DOM tree

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - The root element of the report fragment of XML
  Throws:
    `EPPDecodeException` - Thrown if any errors occur during decoding.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPRgpExtUpdate`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of `EPPRgpExtUpdate`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### getRestore

    public EPPRgpExtRestore getRestore()

  Gets the contained restore request or report.

  Returns:
    the contained restore request or report

### setRestore

    public void setRestore(EPPRgpExtRestore aRestore)

  Sets the contained restore request or report.

  Parameters:
    `aRestore` - the new contained restore request or report

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.